## klibc 2.0.4

=== debian/changelog ===
klibc (2.0.4-9+deb9u1) stretch-security; urgency=high

  * Never clean files in quilt status directory
  * debian/rules: Use $(MAKE) for recursive make
  * debian/rules: Change override_dh_auto_test rule to actually run tests
  * Apply security fixes from 2.0.9 (Closes: #989505):
    - malloc: Set errno on failure
    - malloc: Fail if requested size > PTRDIFF_MAX (CVE-2021-31873)
    - calloc: Fail if multiplication overflows (CVE-2021-31870)
    - cpio: Fix possible integer overflow on 32-bit systems (CVE-2021-31872)
    - cpio: Fix possible crash on 64-bit systems (CVE-2021-31871)

 -- Ben Hutchings <benh@debian.org>  Mon, 28 Jun 2021 16:24:37 +0200

klibc (2.0.4-9) unstable; urgency=medium

  * Change dh_fixperms arguments to restore binary reproducibility
  * initramfs-tools: Ensure busybox's hook runs before ours if it is
    going to be used in the initramfs (Closes: #823323)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 08 May 2016 21:59:37 +0100

klibc (2.0.4-8) unstable; urgency=medium

  * run-init: Update documentation comment to cover -n option
  * Add initramfs-tools hook script, in preparation for dropping it from
    the initramfs-tools-core package

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 10 Feb 2016 23:33:55 +0000

klibc (2.0.4-7) unstable; urgency=medium

  * Drop "revert upstream nuked insmod", as nothing needs it any more
  * Drop "Use static tools on IA64", as this architecture is dead
  * Drop "Use static tools on ppc64", as shared builds appear to work now
  * run-init: Add dry-run mode

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 18 Jan 2016 17:02:18 +0000

klibc (2.0.4-6) unstable; urgency=medium

  * Revert "syscalls: Use direct socket syscalls on i386" (Closes: #809927)
  * syscalls: Override detection of direct socket syscalls on i386, m68k, s390

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 05 Jan 2016 21:18:07 +0000

klibc (2.0.4-5) unstable; urgency=medium

  * syscalls: Use direct socket syscalls on i386 (Closes: 809423).
    This requires Linux 4.3.

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 04 Jan 2016 19:14:50 +0000

klibc (2.0.4-4) unstable; urgency=medium

  * Fix another issue that prevents a reproducible build:
    - Use dh_lintian-overrides instead of direct installation

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 19 Sep 2015 11:23:44 +0200

klibc (2.0.4-3) unstable; urgency=medium

  * Fix issues that prevent a reproducible build:
    - Install headers with consistent mode
    - dash: mkbuiltins: Fix sort order harder
  * debian/watch: Look for xz-compressed tarballs (Closes: #778299)
    and use HTTP-S
  * Remove udebs as they are no longer used (see #653840)
  * [klibc] Add pread and pwrite 32bit syscall wrappers for parisc
    (Closes: #745660)
  * [klibc] ppc64: fix struct stat (Closes: #783292)
  * debian/control: Add Build-Conflicts: ccache (Closes: #777217)
  * gzip: Fix silent fallback to decompression (Closes: #355809)
  * [klibc] mips/setjmp.S: don't save and restore floating-point registers
    (Closes: #789683)
  * debian/rules: Fix mips* architecture mapping (fixes FTBFS on mips, mipsel)
  * debian/control: Change Vcs-Git, Vcs-Browser and Homepage to canonical
    HTTP-S URLs
  * debian/control: Bump Standards-Version to 3.9.6; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 18 Sep 2015 23:39:49 +0200

klibc (2.0.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add mips64 support. (Closes: #741241)

 -- YunQiang Su <syq@debian.org>  Thu, 27 Aug 2015 21:17:00 +0800

klibc (2.0.4-2) unstable; urgency=medium

  * debian/control: Add myself to Uploaders
  * [klibc] MIPS: Update archfcntl.h (fixes FTBFS)
  * Fix compiler warning in usr/klibc/realpath.c

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Oct 2014 01:13:31 +0100

klibc (2.0.4-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Implement features needed for mounting /usr in initramfs (Closes: #763049):
    - Implement realpath()
    - readlink: Add -f option
    - mount: Implement -o defaults
  * debian/rules: Fix clean when userland and kernel architecture differ

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 04 Oct 2014 17:01:24 +0100

klibc (2.0.4-1.1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Non-maintainer upload.

  [ Mauricio Faria de Oliveira ]
  * Add ppc64el-load-toc-syscall-stub.patch: fix segfault on dynamically-linked
    binaries on ppc64el. (Closes: #749060)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Sep 2014 13:47:02 +0200

klibc (2.0.4-1) unstable; urgency=medium

  * New upstream release (x86, readlink) (closes: #760587)

 -- maximilian attems <maks@debian.org>  Thu, 11 Sep 2014 21:23:25 +0200

klibc (2.0.3-1) unstable; urgency=medium

  * New upstream release (arm64, ppc64) (closes: #698018, #744884)
    Thanks to Steve Capper <steve.capper@linaro.org>
    and Anton Blanchard <anton@samba.org>.
  * Pump standard version to 3.9.5 without changes.

 -- maximilian attems <maks@debian.org>  Mon, 21 Apr 2014 10:52:22 -0700
