=== debian/control ===
Source: klibc
Priority: optional
Maintainer: maximilian attems <maks@debian.org>
Uploaders: Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 7.0.50), linux-libc-dev, bison, m4
# klcc will depend on ccache if it was installed at build time; see #777217
Build-Conflicts: ccache
Section: libs
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/klibc.git
Vcs-Git: https://anonscm.debian.org/git/kernel/klibc.git
# maybe some day replace with a real one?
Homepage: https://git.kernel.org/cgit/libs/klibc/klibc.git

Package: libklibc-dev
Section: libdevel
Architecture: any
Depends: libklibc (= ${binary:Version}), linux-libc-dev, ${misc:Depends}
Description: kernel headers used during the build of klibc
 This package contains the set of kernel headers that were required to
 build klibc and the utilities that ship with it.  This may or may
 not be a complete enough set to build other programs that link against
 klibc.  If in doubt, use real kernel headers instead.

Package: libklibc
Architecture: any
Depends: ${misc:Depends}
Description: minimal libc subset for use with initramfs
 klibc is intended to be a minimalistic libc subset for use with
 initramfs.  It is deliberately written for small size, minimal
 entanglement, and portability, not speed.  It is definitely a work in
 progress, and a lot of things are still missing.

Package: klibc-utils
Architecture: any
Depends: libklibc (= ${binary:Version}), ${misc:Depends}
Breaks: initramfs-tools (<< 0.103)
Description: small utilities built with klibc for early boot
 This package contains a collection of programs that are linked
 against klibc. These duplicate some of the functionality of a
 regular Linux toolset, but are typically much smaller than their
 full-function counterparts.  They are intended for inclusion in
 initramfs images and embedded systems.
