## klibc 2.0.6

=== debian/changelog ===
klibc (2.0.6-1ubuntu1) eoan; urgency=medium

  * Add support to specify ...:dns0:dns1 options to ipconfig -d.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 13 Jun 2019 10:23:04 +0100

klibc (2.0.6-1) unstable; urgency=medium

  * New upstream version:
    - ia64: Fix shared build (thanks to James Clarke)
    - Drop nearly all patches, which are either included or obsoleted
  * debian/control: Change Architecture of all packages to linux-any
  * debian/control: Mark libklibc as M-A: same (suggested by Matthias Klose)
  * debian/control: Mark klibc-utils as M-A: foreign
  * initramfs-tools: Remove checks for shell installed as "sh.shared"
  * debian/rules: Change override_dh_auto_test rule to actually run tests

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 01 Feb 2019 05:00:57 +0000

klibc (2.0.5-2) unstable; urgency=medium

  * Drop redundant patch "Include the multiarch include directory in klcc's
    path"
  * Drop "Fix klibc Debian specific build trouble" and introduce links in
    debian/rules
  * Fix up debug symbol support:
    - Use -Ttext-segment to link shared library on all arches (Closes: #919855)
    - Drop "kbuild: Enable build IDs"
    - Kbuild: Add option to install unstripped binaries
    - Kbuild: Enable full debug information
    - Set CONFIG_DEBUG_INFO instead of overriding STRIP

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 20 Jan 2019 22:49:25 +0000

klibc (2.0.5-1) unstable; urgency=medium

  * New upstream version:
    - Drop most of our patches, which are now included upstream

  [ Ben Hutchings ]
  * Simplify commands to set up UAPI headers directory
  * debian/rules: Use $(MAKE) for recursive make
  * Build debug symbols packages
  * libklibc-dev: Remove redundant copy of shared library
  * Fix cross-building for powerpc*, ppc*, s390x

  [ Benjamin Drung ]
  * Fix shellcheck issues in initramfs-tools hook

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 19 Jan 2019 02:53:52 +0000

klibc (2.0.4-15) unstable; urgency=medium

  * resume: Write resume_offset attribute
  * resume: Backward compatibility for resume_offset
  * x86_64: Use -Ttext-segment to avoid address collision
  * i386: Use -Ttext-segment to avoid address collision
  * Disable PIE, since we link all executables as non-relocatable
    (Closes: #907404)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 06 Jan 2019 19:33:01 +0000

klibc (2.0.4-14) unstable; urgency=medium

  [ James Clarke ]
  * [klibc] Fix sparc assembly when compiled as PIC (Closes: #885852)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 19 Jul 2018 01:13:54 +0100

klibc (2.0.4-13) unstable; urgency=medium

  * [klibc] rename, renameat: Use renameat2() system call
  * [klibc] Add RISC-V (RV64) port
  * debian/rules: Add architecture mapping for riscv64
  * debian/control: Drop obsolete build-dependency on bison
  * debian/control: Restrict build-dependency on m4 to sparc, sparc64
  * debian/patches: Add Forwarded fields as appropriate
  * debian/rules: Add architecture mapping for sparc64

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 18 Jul 2018 00:27:22 +0100

klibc (2.0.4-12) unstable; urgency=medium

  [ Ben Hutchings ]
  * debian/control: Point Vcs URLs to Salsa
  * debian/klibc-utils.postinst: Remove diversion of initramfs-tools hook
    script (Closes: #886939)
  * [klibc] mips64: compile with -mno-abicalls, thanks to James Cowgill
    (Closes: #891924)
  * reboot: Add support for reboot syscall argument, thanks to Alfonso
    Sanchez-Beato (Closes: #863761, LP: #1692494)
  * [klibc] x86_64: Reduce ld max-page-size option again (Closes: #903849)
  * Never clean files in quilt status directory

  [ Frank Scheiner ]
  * [klibc] ia64: Build static tools (again)

  [ Benjamin Drung ]
  * ipconfig: Implement classless static routes (Closes: #884716, LP: #1526956)
  * mount_main: Fix empty string check

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 15 Jul 2018 22:22:07 +0100

klibc (2.0.4-11) unstable; urgency=medium

  * Apply i386 syscall changes from upstream (fixes FTBFS):
    - [klibc] i386: remove special handling of socketcall
    - [klibc] Add accept4(), handle fallback from accept() to accept4()

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 30 Dec 2017 22:09:36 +0000

klibc (2.0.4-10) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/patches/broadcast_dhcp_send.patch: Set broadcast when sending
    DHCPREQUEST and DHCPDISCOVER.  Thanks to Mathieu Trudel-Lapierre
    <mathieu.trudel-lapierre@canonical.com>.  Closes: #733988, LP:
    #1327412.
  * debian/patches/dhcp-one-socket-per-interface.patch: Use separate
    sockets for DHCP from multiple interfaces.  Thanks to Jay Vosburgh
    <jay.vosburgh@canonical.com>.  Closes: #852480, LP: #1652348.

  [ Ben Hutchings ]
  * Drop patches no longer required after stretch release:
    - "Fix minimal mv to work across fs"
    - "Implement realpath()" and "readlink: Add -f option"
    - "syscalls: Override detection of direct socket syscalls on i386, m68k,
      s390"
  * Replace diversion of initramfs-tools' klibc hook script with versioned
    Breaks
  * debian/control: Bump Standards-Version to 4.1.2; no changes required
  * debian/rules: Use /usr/share/dpkg/architecture.mk
  * Use debhelper compatibility level 9

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 29 Dec 2017 00:58:39 +0000
