## klibc 2.0.7

=== debian/changelog ===
klibc (2.0.7-1ubuntu5.2) focal-security; urgency=medium

  * SECURITY UPDATE: improper pointer arithmetic
    - debian/patches/CVE-2016-9840.patch: remove offset pointer optimization
      in usr/klibc/zlib/inftrees.c.
    - CVE-2016-9840
  * SECURITY UPDATE: improper pointer arithmetic
    - debian/patches/CVE-2016-9841.patch: remove offset pointer optimization
      in usr/klibc/zlib/inffast.c.
    - CVE-2016-9841
  * SECURITY UPDATE: memory corruption during compression
    - debian/patches/CVE-2018-25032.patch: addresses a bug that can crash
      deflate on rare inputs when using Z_FIXED.
    - CVE-2018-25032
  * SECURITY UPDATE: heap-based buffer over-read
    - debian/patches/CVE-2022-37434-1.patch: adds an extra condition to check
      if state->head->extra_max is greater than len before copying, and moves
      the len assignment to be placed before the check in
      usr/klibc/zlib/inflate.c.
    - debian/patches/CVE-2022-37434-2.patch: in the previous patch, the
      placement of the len assignment was causing issues so it was moved
      within the conditional check.
    - CVE-2022-37434

 -- Ian Constantin <ian.constantin@canonical.com>  Sat, 13 Apr 2024 12:35:16 +0300

klibc (2.0.7-1ubuntu5.1) focal-security; urgency=medium

  * SECURITY UPDATE: integer overflow in calloc
    - debian/patches/CVE-2021-31870.patch: add overflow check
      when performing the multiplication in usr/klibc/calloc.c. 
    - CVE-2021-31870
  * SECURITY UPDATE: integer overflow in cpio 
    - debian/patches/CVE-2021-31871.patch: remove cast to unsigned
      to avoid a possible overflow in 64 bit systems in 
      usr/utils/cpio.c.
    - CVE-2021-31871
  * SECURITY UPDATE: integer overflow in read_in_new_ascii
    - debian/patches/CVE-2021-31872.patch: ensure that c_namesize
      and c_filesize are smaller than LONG_MAX in usr/utils/cpio.c.
    - CVE-2021-31872
  * SECURITY UPDATE: integer overflow in malloc
    - debian/patches/CVE-2021-31873.patch: ensure that size is smaller
      than PTRDIFF_MAX in usr/klibc/malloc.c.
    - CVE-2021-31873

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Wed, 13 Apr 2022 10:40:18 +0200

klibc (2.0.7-1ubuntu5) focal; urgency=medium

  * Apply one patch from upstream and one local to resolve type mistmatch
    compiler warnings from the switch to the kernel's UAPI loop.h header.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Nov 2019 23:34:08 -0700

klibc (2.0.7-1ubuntu4) focal; urgency=medium

  * Fix losetup, by switching to kernel uapi header, instead of buggy
    klibc one. LP: #1850184

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Nov 2019 01:08:13 +0000

klibc (2.0.7-1ubuntu3) focal; urgency=medium

  * Make argc_save global.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Oct 2019 18:46:55 +0000

klibc (2.0.7-1ubuntu2) focal; urgency=medium

  * Drop debugging cruft from the previous upload to minimize delta.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 31 Oct 2019 10:35:21 -0600

klibc (2.0.7-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    * Fix FTBFS on eoan and later with new gcc
      - cf-protection.patch: Disable cf-protection for syscalls stub.

  * save-argc.patch: when build with gcc-9 linux-5.3, calling ioctl,
    clears global argc, thus save it, to compare to it later. Otheriwse
    losetup -f is broken LP: #1850184

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Oct 2019 11:50:44 +0000

klibc (2.0.7-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * New upstream version:
    - klcc: Enable stripping even if CONFIG_DEBUG_INFO is enabled
    - run-init: Allow the initramfs to be persisted across root changes
      (thanks to Matthew Garrett)
    - ipconfig: Implement support -d ...:dns0:dns1 options (Closes: #931416)
    - Kbuild: Work around broken "ar s" in binutils 2.32 (see #941921)
  * debian/rules: Reorganise make flags variables
  * debian/rules: Define ARCH for klibc, for all architectures
  * debian/rules: Delete redundant architecture mappings
  * debian/rules: Delete redundant export
  * klibc-utils: Trigger update-initramfs on install/upgrade
  * initramfs-tools: Don't install commands that already exist in /sbin
  * initramfs-tools: Exclude kinit and zcat commands earlier
  * initramfs-tools: Exclude gzip command
  * Drop "resume: Backward compatibility for resume_offset", which will
    not be needed in the next release
  * [klibc] fstype: Drop obsolete support for "ext4dev" (Closes: #932926)
  * debian/control: Set Maintainer to Debian Kernel Team; move maks to
    Uploaders

  [ James Clarke ]
  * debian/control: Restrict m4 build dependency to just sparc

  [ Helmut Grohne ]
  * Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #922814)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 08 Oct 2019 02:14:11 +0100

klibc (2.0.6-1ubuntu2) eoan; urgency=medium

  * Fix FTBFS on eoan and later with new linux and gcc (LP: #1843743)
    - cf-protection.patch: Disable cf-protection for syscalls stub.
    - mman-include.patch: Adjust for changes to linux headers in 5.3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Oct 2019 15:39:37 -0600
