## klibc 2.0.8

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,9 @@
 export NM	:= $(KLIBCROSS)nm
 export OBJCOPY  := $(KLIBCROSS)objcopy
 export OBJDUMP  := $(KLIBCROSS)objdump
+
+LLD := $(shell $(LD) --version 2>&1 | grep LLD)
+export LD_IMAGE_BASE_OPT=$(if $(LLD),--image-base,-Ttext-segment)
 
 NOSTDINC_FLAGS := -nostdlib -nostdinc -isystem $(shell $(CC) -print-file-name=include)
 
@@ -98,11 +101,11 @@
 	@echo "defconfig has changed, please remove or edit .config"
 	@false
 
-$(KLIBCKERNELSRC):
-	@echo "Cannot find kernel UAPI headers."
-	@echo "Either make a 'linux' symlink point to the usr subdirectory "
-	@echo "of a kernel tree with headers installed for the $(KLIBCARCH) "
-	@echo "architecture or specify KLIBCKERNELSRC=<path>."
+$(KLIBCKERNELSRC)/include:
+	@echo 'Missing kernel UAPI headers in $(KLIBCKERNELSRC)/include.'
+	@echo 'Install them by running:'
+	@echo '    make headers_install INSTALL_HDR_PATH=$(abspath $(KLIBCKERNELSRC))'
+	@echo 'in the kernel source directory.'
 	@false
 
 rpmbuild = $(shell which rpmbuild 2>/dev/null || which rpm)
@@ -111,10 +114,10 @@
 	sed -e 's/@@VERSION@@/$(VERSION)/g' < $< > $@
 
 # Build klcc - it is the first target
-klcc: $(objtree)/.config $(KLIBCKERNELSRC)
+klcc: $(objtree)/.config $(KLIBCKERNELSRC)/include
 	$(Q)$(MAKE) $(klibc)=klcc
 
-klibc: $(objtree)/.config $(KLIBCKERNELSRC)
+klibc: $(objtree)/.config $(KLIBCKERNELSRC)/include
 	$(Q)$(MAKE) $(klibc)=.
 
 test: klibc
