=== debian/changelog ===
klibc (2.0.8-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * {set,long}jmp [s390x]: save/restore the correct FPU registers
    (f8‥f15 not f1/f3/f5/f7) (Closes: #943425)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 27 May 2021 00:12:10 +0200

klibc (2.0.8-6) unstable; urgency=medium

  * Upload to unstable
  * malloc: Set errno on failure
  * malloc: Fail if requested size > PTRDIFF_MAX (CVE-2021-31873)
  * calloc: Fail if multiplication overflows (CVE-2021-31870)
  * cpio: Fix possible integer overflow on 32-bit systems (CVE-2021-31872)
  * cpio: Fix possible crash on 64-bit systems (CVE-2021-31871)

 -- Ben Hutchings <benh@debian.org>  Fri, 30 Apr 2021 03:05:23 +0200

klibc (2.0.8-5) experimental; urgency=medium

  * alpha: Fix definitions of _NSIG and struct sigaction
  * ia64: Fix definition of struct sigaction

 -- Ben Hutchings <benh@debian.org>  Fri, 28 Aug 2020 17:41:47 +0100

klibc (2.0.8-4) experimental; urgency=medium

  * signal: Note another reason to define _KLIBC_NEEDS_SA_RESTORER
  * signal: Add sysconfig setting to force SA_SIGINFO on
  * s390: Force SA_SIGINFO on and use rt_sigreturn
  * alpha: Force SA_SIGINFO on
  * sparc: Force SA_SIGINFO on

 -- Ben Hutchings <benh@debian.org>  Tue, 25 Aug 2020 01:49:14 +0100

klibc (2.0.8-3) experimental; urgency=medium

  * s390: Define __sigreturn() on both s390 and s390x
  * Revert "alpha: Set sa_restorer for signals and disable executable stack"
  * alpha: Pass restorer to rt_sigaction() and disable executable stack

 -- Ben Hutchings <benh@debian.org>  Sun, 23 Aug 2020 15:24:00 +0100

klibc (2.0.8-2) experimental; urgency=medium

  * {alpha,s390,sparc}: Set sa_restorer for signals and disable executable
    stack

 -- Ben Hutchings <benh@debian.org>  Sat, 22 Aug 2020 21:35:52 +0100

klibc (2.0.8-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * New upstream version:
    - ipconfig: Ignore NTP server address and any additional fields
      (Closes: #931416)
    - Kbuild: Add "-fcommon" for clang builds (Closes: #957405)
    - Kbuild: Add a per-architecture option to disable exectable stacks
    - arch: Explicitly disable or enable executable stacks (Closes: #959070)
  * debian/control: Use my debian.org email in Uploaders field
  * Use debhelper compatibility level 12:
    - Build-Depend on debhelper-compat and remove debian/compat
    - debian/klibc-utils.triggers: Delete as redundant
  * debian/rules: Really disable stripping libc.so in libklibc-dev

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.

 -- Ben Hutchings <benh@debian.org>  Fri, 21 Aug 2020 01:34:13 +0100
