=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: klibc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
-Build-Depends: debhelper (>= 9~), linux-libc-dev, m4 [sparc]
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Uploaders: Ben Hutchings <benh@debian.org>, maximilian attems <maks@debian.org>
+Build-Depends: debhelper-compat (= 12), linux-libc-dev, m4 [sparc]
 # klcc will depend on ccache if it was installed at build time; see #777217
 Build-Conflicts: ccache
 Section: libs
@@ -44,4 +43,3 @@
  regular Linux toolset, but are typically much smaller than their
  full-function counterparts.  They are intended for inclusion in
  initramfs images and embedded systems.
-
