## klibc 2.0.10

=== debian/changelog ===
klibc (2.0.10-4ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: improper pointer arithmetic
    - debian/patches/CVE-2016-9840.patch: remove offset pointer optimization
      in usr/klibc/zlib/inftrees.c.
    - CVE-2016-9840
  * SECURITY UPDATE: improper pointer arithmetic
    - debian/patches/CVE-2016-9841.patch: remove offset pointer optimization
      in usr/klibc/zlib/inffast.c.
    - CVE-2016-9841
  * SECURITY UPDATE: memory corruption during compression
    - debian/patches/CVE-2018-25032.patch: addresses a bug that can crash
      deflate on rare inputs when using Z_FIXED.
    - CVE-2018-25032
  * SECURITY UPDATE: heap-based buffer over-read
    - debian/patches/CVE-2022-37434-1.patch: adds an extra condition to check
      if state->head->extra_max is greater than len before copying, and moves
      the len assignment to be placed before the check in
      usr/klibc/zlib/inflate.c.
    - debian/patches/CVE-2022-37434-2.patch: in the previous patch, the
      placement of the len assignment was causing issues so it was moved
      within the conditional check.
    - CVE-2022-37434

 -- Ian Constantin <ian.constantin@canonical.com>  Sat, 13 Apr 2024 12:34:04 +0300

klibc (2.0.10-4) unstable; urgency=medium

  * d/control, d/rules: Remove ccache from $PATH instead of Build-Conflicting
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
  * d/tests: Add klcc smoke test
  * Fix header installation from out-of-tree build (Closes: #1004465)

 -- Ben Hutchings <benh@debian.org>  Mon, 31 Jan 2022 00:28:16 +0100

klibc (2.0.10-3) unstable; urgency=medium

  * ia64: Fix out-of-tree build

 -- Ben Hutchings <benh@debian.org>  Sat, 01 Jan 2022 16:55:44 +0100

klibc (2.0.10-2) unstable; urgency=medium

  * Use KCFLAGS to pass options to Kbuild, rather than CFLAGS and LDFLAGS
    (fixes FTBFS on several architectures)

 -- Ben Hutchings <benh@debian.org>  Fri, 31 Dec 2021 15:05:03 +0100

klibc (2.0.10-1) unstable; urgency=medium

  * New upstream version:
    - Build fixes for Clang (Closes: #787063):
      - Kbuild: Fix include path for Clang builds
      - sparc64: Remove redundant/unsupported compiler option -mptr64
      - s390: mmap: Change inline assembly to work with Clang
  * debian/rules: Pass through $(CC), $(CC_FOR_BUILD), and $(LD) to ease
    building with alternate toolchain
  * debian/rules: Build under debian/build
  * debian/rules: Put test output under debian/build
  * Fix warnings from dh_missing:
    - debian/not-installed: Note duplicate klibc-<hash>.so as not installed
    - debian/libklibc-dev.manpages: Install klcc.1 from debian/tmp
  * debian/*.{install,manpages}: Delete redundant debian/tmp/ prefixes
  * libklibc-dev: Add generated perl dependency for klcc
  * debian/*.lintian-overrides: Delete obsolete overrides
  * debian/libklibc.lintian-overrides: Override
    arch-dependent-file-not-in-arch-specific-directory
  * Kbuild: Use provided CFLAGS, LDFLAGS
  * debian/rules: Use -f{debug,macro}-prefix-map to keep build dir out of
    binaries

 -- Ben Hutchings <benh@debian.org>  Thu, 30 Dec 2021 21:54:47 +0100

klibc (2.0.9-1) unstable; urgency=medium

  * New upstream version
  * armhf: Update compiler options for gcc 11 (Closes: #996906)
  * sig{set,long}jmp: do not ignore sigsetjmp's second argument
    (Closes: #988027)
  * Fix implementation of utimes

 -- Ben Hutchings <benh@debian.org>  Mon, 27 Dec 2021 00:17:05 +0100
