=== debian/tests/control ===
Tests: klcc
Depends: build-essential, libklibc-dev
