## klibc 2.0.12

=== debian/changelog ===
klibc (2.0.12-1) unstable; urgency=medium

  * New upstream version:
    - mips64: Fix struct stat layout (Closes: #1030673)

 -- Ben Hutchings <benh@debian.org>  Sun, 12 Feb 2023 23:57:04 +0100

klibc (2.0.11-1) unstable; urgency=medium

  * New upstream version:
    - Kbuild: Properly disable executable stacks in static builds
      (Closes: #1020883)
    - fcntl: Fix build failure for some architectures with Linux 5.19
      (fixes FTBFS on several architectures)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + klibc-utils: Drop versioned constraint on initramfs-tools in Breaks.

  [ Ben Hutchings ]
  * lintian: Update override in libklibc for lintian 2.115

 -- Ben Hutchings <benh@debian.org>  Sun, 02 Oct 2022 03:09:49 +0200
