=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: klibc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <benh@debian.org>, maximilian attems <maks@debian.org>
 Build-Depends: debhelper-compat (= 12), linux-libc-dev, m4 [sparc]
 Section: libs
@@ -36,7 +35,6 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: libklibc (= ${binary:Version}), ${misc:Depends}
-Breaks: initramfs-tools (<< 0.123~)
 Description: small utilities built with klibc for early boot
  This package contains a collection of programs that are linked
  against klibc. These duplicate some of the functionality of a
